curl --request GET \
--url https://api.app.fleetit.com/v2/fleets/{ID}/ \
--header 'Authorization: Bearer <token>'{
"id": 84,
"title": "New Fleet Test V3",
"is_active": true,
"regions": [
"Washington",
"California",
"Texas"
],
"customer_info": {
"ext_client_id": "123456",
"ext_billing_id": "654321",
"service_types": [
"Tolls",
"Violations"
],
"email": "contactnewv2@newfleet.com",
"notes": "Initial setup for new fleet."
}
}Get a fleet by ID.
curl --request GET \
--url https://api.app.fleetit.com/v2/fleets/{ID}/ \
--header 'Authorization: Bearer <token>'{
"id": 84,
"title": "New Fleet Test V3",
"is_active": true,
"regions": [
"Washington",
"California",
"Texas"
],
"customer_info": {
"ext_client_id": "123456",
"ext_billing_id": "654321",
"service_types": [
"Tolls",
"Violations"
],
"email": "contactnewv2@newfleet.com",
"notes": "Initial setup for new fleet."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the fleet.
Successful response
The unique identifier for the fleet.
84
The title of the fleet.
"New Fleet Test V3"
Indicates whether the fleet is active.
true
A list of regions associated with the fleet.
["Washington", "California", "Texas"]Show child attributes
Was this page helpful?